Subject: cg-update question.

From: Johnny Stenback <[email-masked]>
Date: Sun, 21 Aug 2005 00:17:42 -0700

Hi all,

I hope it's ok to ask cogito questions on this list...

I just realized that if I've got an uncommitted local change in a tree 
and I update my tree with cg-update to merge in changes from a different 
tree... cg-update will pull the changes and do the merge. So that's all 
cool, but as it does the merge, it will re-write my local file that has 
the uncommitted change, even if that file didn't change in the 
repository I pulled from, i.e. nothing to merge for that file.

This is, to me at least, not the desired behavior, if there's no reason 
for cg-update to touch a file it shouldn't.

Thoughts? If someone points me in the right direction I'm willing to 
take a stab at fixing this myself...

-- 
jst